### Method

# Adw Sidebar get_items

since: 1.9

#### Declaration [src]

    GtkSelectionModel*
    adw_sidebar_get_items (
      AdwSidebar* self
    )

#### Description [src]

Gets a list model with `self`‘s items.

This can be used to keep an up-to-date view.

The model implements `GtkSectionModel` and creates sections corresponding to the sidebar’s sections.

The model also implements `GtkSelectionModel` and can be used to track and change the selection.

To only track sections, use `AdwSidebar:sections` instead.

Available since: 1.9

Gets property | `Adw.Sidebar:items`

#### Return value

Type: `GtkSelectionModel`

A model containing the items.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.